//import your libraries. 
import de.bezier.data.sql.*;

MySQL msql;
PFont font1 = createFont("Helvetica", 16); //"Helvetica" the documentary <-- netflix 
int border = 20;
int[] transactionsPerHour = new int[24];

void setup() {
  size(900, 640); //size of the sketch window
  colorMode(HSB, 360,100,100); //color mode- like RGB or HSB (learn to use HSB because it's the best: http://en.wikipedia.org/wiki/HSL_and_HSV)
  smooth();
  
  
    // connecting to the KRAKEN database
    msql = new MySQL( this, "kraken.mat.ucsb.edu", "spl0", "josh", "sneezes with wolves" ); //host, database, user, password
    if ( msql.connect() )
    { 
      String TheQuery="select hour(cout) as hour,count(*) from inraw where deweyClass < 1000 and cout >= '2011-01-01' and cout <= '2011-01-31' group by hour order by hour;";
          println(TheQuery);
          msql.query( TheQuery);
          msql.next();
          while( msql.next() ){
              //println( msql.getInt(1) );
              transactionsPerHour[msql.getInt(1)] = msql.getInt(2);
          }     
     }
    else
    {
      println(" connection failed !");
    }
}

void draw() {
    background(200);
    fill(0);  

    //draw lines where length = number of transactions 
    stroke(0);
    strokeWeight(1.0);
    for(int i = 0;i<24;i++){
      line(border,(i+1)*(height/24),border+transactionsPerHour[i]/100,(i+1)*(height/24));
      textAlign(RIGHT,CENTER);
      text(i, border-2,(i+1)*(height/24));
    }
    
    //draw the horizontal labels 
    for(int i = 1;i<8;i++){
      float tempX = border+i*100;
      float tempY = height-border;
      text(i*10000, tempX,tempY);
    }
      
    //give it a title  
    fill(0,0,0);  
    textAlign(CENTER,CENTER);
    text("Checkouts per hour",width/2, height/2); 
}
